Bug 493895 - S-c-tools cleanup: make OK button insensitive when no action has been taken.
S-c-tools cleanup: make OK button insensitive when no action has been taken.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493599
  Show dependency treegraph
 
Reported: 2009-04-03 06:10 EDT by Roman Rakus
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-02 08:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that makes all OK buttons sensitive to changes (13.88 KB, patch)
2009-08-18 07:07 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:10:26 EDT
Description of problem:
"OK" button is sensitive even no changes were done but it should be insensitive when "Cancel" button available.

How reproducible: 
/*places*/

Steps to Reproduce:
1. invoke some dialog
2. check if "OK" button is sensitive

Actual results:
"OK" button is sensitive.

Expected results:
"OK" should not be sensitive.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-08-18 07:07:00 EDT
Created attachment 357772 [details]
Proposed patch that makes all OK buttons sensitive to changes
Comment 2 Phil Knirsch 2009-10-02 08:33:32 EDT
Nice change and patch! Applied to HG repo and including in next build.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.